<script lang="ts" setup>
// This starter template is using Vue 3 <script setup> SFCs
// Check out https://vuejs.org/api/sfc-script-setup.html#script-setup
import { onMounted } from "vue";
import Breadcrumbs from "./components/Breadcrumbs.vue";

onMounted(() => {
  const script = document.createElement("script");

  script.src = "https://buttons.github.io/buttons.js";
  script.async = true;

  document.body.appendChild(script);
});
</script>

<template>
  <div class="min-h-screen bg-gray-800 h-full text-white">
    <header>
      <Navbar />
    </header>

    <div class="mx-16">
      <Breadcrumbs class="my-6 font-bold capitalize" />
      <router-view />
    </div>
  </div>
</template>
